Competitor AdsList tracked pages

List tracked pages

Competitor pages this client tracks (at most 10), with the last refresh and the next scheduled one.

curl -X GET "https://mythic-analytics.gulp.workers.dev/client/v1/competitor-ads/pages?location_id=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "success": true,
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "page_id": "example_string",
      "country": "USA",
      "label": "example_string",
      "max_ads": 42,
      "active": true,
      "page_name": "John Doe",
      "last_refresh_at": "2024-12-25T10:00:00Z",
      "last_refresh_status": "ok",
      "last_refresh_error": "example_string",
      "last_refresh_counts": {
        "received": 42,
        "inserted": 42,
        "updated": 42,
        "changed": 42,
        "gone": 42,
        "rejected": 42,
        "total_results": 42,
        "returned_ads": 42,
        "pagination_complete": true,
        "ms": 42
      },
      "next_refresh_at": "2024-12-25T10:00:00Z",
      "refreshing": true,
      "created_at": "2024-12-25T10:00:00Z",
      "updated_at": "2024-12-25T10:00:00Z"
    }
  ],
  "limits": {
    "max_pages": 10,
    "max_ads": 600
  },
  "pipeline_enabled": true
}
GET
/client/v1/competitor-ads/pages
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.

Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.
query
location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Agency key (ak_), location secret key (sk_, reads only) or a scoped mcp_ key with competitor_ads:read or competitor_ads:write. See Using an mcp_ key over HTTP.

Query Parameters

location_idstring

Location to scope to. Required for ak_ keys or send X-Location-Id. Ignored for sk_.

Responses

successboolean
dataarray
limitsobject
pipeline_enabledboolean